Name:           ffgtk
Version:        0.7.8
Release:        4%{?dist}
Summary:        A solution for controlling Fritz!Box or compatible routers
Group:          Applications/Communications
License:        GPLv2
URL:            http://www.tabos.org/ffgtk/
Source0:        http://www.tabos.org/ffgtk/download/%{name}-%{version}.tar.bz2
Source1:        ffgtk-fax.ppd
Source2:        ffgtk-README.Fedora
source3:        ffgtk-license.txt
Patch0:         ffgtk-libexec.patch
Patch1:         ffgtk-use-old-spooler.patch
Patch2:         ffgtk-no-Werror.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext autoconf automake libtool intltool desktop-file-utils
BuildRequires:  gtk2-devel gstreamer-devel gstreamer-plugins-base-devel 
BuildRequires:  libcurl-devel dbus-devel dbus-glib-devel libcapifax-devel
Buildrequires:  isdn4k-utils-devel spandsp-devel evolution-data-server-devel
Buildrequires:  gnome-keyring-devel speex-devel libsndfile-devel libao-devel
Provides:       bundled(md5-deutsch)

%description
Fritz Fun (ffgtk) is a clean solution for controlling the FRITZ!Box or 
compatible router with Linux. It offers a rich feature list, including caller
monitor and fax support. It offers integration with the KDE, evolution and 
Thurderbird address books.
Some plug-ins are packaged separately.

%package plugin-evolution
Summary:        Evolution address book plugin for ffgtk
Requires:       %{name} = %{version}-%{release}

%description plugin-evolution
This package contains the evolution address book plugin for ffgtk.

%package plugin-capifax
Summary:        Fax plugin for ffgtk
Requires:       %{name} = %{version}-%{release}
Requires:       cups ghostscript
Requires(post): /usr/sbin/lpadmin
Requires(postun):/usr/sbin/lpadmin

%description  plugin-capifax
This package contains the fax plugin for ffgtk.

%package plugin-gstreamer
Summary:        Gstreamer plugin for ffgtk
Requires:       %{name} = %{version}-%{release}

%description  plugin-gstreamer
This package contains the gstreamer plugin for ffgtk.

%prep
%setup -q
%patch0 -p1 -b .libexec
%patch1 -p1 -b .spooler
%patch2 -p1 -b .noWerror
install -m644 %{SOURCE2} ./README.Fedora
install -m644 %{SOURCE3} ./license-mail.txt

%build
./autogen.sh
%configure --htmldir=%{_datarootdir}/ffgtk/html
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

# Install ppd file for cups

mkdir -p %{buildroot}%{_datadir}/cups/model/
install -m644 %{SOURCE1}  %{buildroot}%{_datadir}/cups/model/

# ffgtk-cups is of no use as we use the old spooler

rm %{buildroot}/%{_datarootdir}/ffgtk/ffgtk-cups

%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/ffgtk.desktop

# remove non desirable development libraries

find %{buildroot} -name '*.so' -exec rm -f {} ';'
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%post plugin-capifax

# On first install : create the printer if cupsd is running
if [ "$1" -eq "1" -a -f "%{_var}/run/cupsd.pid" ]
then
    if [ -d /proc/$(cat %{_var}/run/cupsd.pid) ] 
    then
        /usr/sbin/lpadmin -p ffgtk-fax -v socket://localhost:9901 -m ffgtk-fax.ppd -E || :
    fi
fi


%postun plugin-capifax
# on removal, remove the printer if cupsd is running
if [ "$1" -eq "0" -a -f "%{_var}/run/cupsd.pid" ]
then
    if [ -d /proc/$(cat %{_var}/run/cupsd.pid) ] 
    then
        # Delete the printer
        /usr/sbin/lpadmin -x ffgtk-fax || :
    fi
fi


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%dir %{_datarootdir}/ffgtk
%dir %{_datarootdir}/ffgtk/html
%dir %{_datarootdir}/ffgtk/html/graphics
%dir %{_datarootdir}/ffgtk/areacodes_germany.csv
%dir %{_libdir}/ffgtk
%dir %{_libdir}/ffgtk/plugins
%{_bindir}/ffgtk
%{_libexecdir}/ffgtkvoxplay
%{_libdir}/ffgtk/plugins/lib_ab_fritzfon.so.0
%{_libdir}/ffgtk/plugins/lib_ab_fritzfon.so.0.0.0
%{_libdir}/ffgtk/plugins/lib_ab_local.so.0
%{_libdir}/ffgtk/plugins/lib_ab_local.so.0.0.0
%{_libdir}/ffgtk/plugins/lib_ab_thunderbird.so.0
%{_libdir}/ffgtk/plugins/lib_ab_thunderbird.so.0.0.0
%{_libdir}/ffgtk/plugins/lib_ab_vcard.so.0
%{_libdir}/ffgtk/plugins/lib_ab_vcard.so.0.0.0
%{_libdir}/ffgtk/plugins/lib_pwd_gnome.so.0
%{_libdir}/ffgtk/plugins/lib_pwd_gnome.so.0.0.0
%{_libdir}/ffgtk/plugins/lib_audio_ao.so.0
%{_libdir}/ffgtk/plugins/lib_audio_ao.so.0.0.0
%{_datarootdir}/applications/ffgtk.desktop
%{_datarootdir}/ffgtk/actions.ui
%{_datarootdir}/ffgtk/addaddress.ui
%{_datarootdir}/ffgtk/assistant.ui
%{_datarootdir}/ffgtk/sendsms.ui
%{_datarootdir}/ffgtk/book.ui
%{_datarootdir}/ffgtk/call_in.wav
%{_datarootdir}/ffgtk/call_out.wav
%{_datarootdir}/ffgtk/callin.png
%{_datarootdir}/ffgtk/callinfailed.png
%{_datarootdir}/ffgtk/callmonitor.ui
%{_datarootdir}/ffgtk/callout.png
%{_datarootdir}/ffgtk/dialing.ui
%{_datarootdir}/ffgtk/dialwindow.ui
%{_datarootdir}/ffgtk/ffgtk.png
%{_datarootdir}/ffgtk/kind.ui
%{_datarootdir}/ffgtk/lookup.xml
%{_datarootdir}/ffgtk/popup.ui
%{_datarootdir}/ffgtk/preferences.ui
%{_datarootdir}/ffgtk/profiles.ui
%{_datarootdir}/ffgtk/sendfax.ui
%{_datarootdir}/ffgtk/voicebox.ui
%{_datarootdir}/ffgtk/html/*.html
%{_datarootdir}/ffgtk/html/graphics/*
%{_datarootdir}/pixmaps/ffgtk.png
%{_mandir}/man1/ffgtk.1.gz
%doc README AUTHORS ChangeLog COPYING README.Fedora license-mail.txt

%files plugin-evolution 
%defattr(-,root,root,-)
%{_libdir}/ffgtk/plugins/lib_ab_ebook.so.0
%{_libdir}/ffgtk/plugins/lib_ab_ebook.so.0.0.0

%files plugin-capifax
%defattr(-,root,root,-)
%{_libdir}/ffgtk/plugins/lib_fax_capifax.so.0
%{_libdir}/ffgtk/plugins/lib_fax_capifax.so.0.0.0
%{_datadir}/cups/model/ffgtk-fax.ppd

%files plugin-gstreamer
%defattr(-,root,root,-)
%{_libdir}/ffgtk/plugins/lib_audio_gstreamer.so.0
%{_libdir}/ffgtk/plugins/lib_audio_gstreamer.so.0.0.0

%changelog
* Thu Feb 10 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-4
- Remove -Werror from Makefile,am for now as it breaks compilation under RwaHide
  as -Wunused-but-set-parameter seems to be standard now
* Fri Jan 28 2011 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-3
- Added scriptlet dependencies
- Removed duplicate documentation from plugin packages
- Added Provides for bundled MD5 implementation
- Check if cups is running before trying to remove the printer
* Fri Dec 24 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-2
- Re-instated old print-spooler
- Added a ppd for the fax printer
- Automatically create/delete the required printer in cups
- Added REAME.Fedora
* Sat Nov 27 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.8-1
- New upstream release
* Thu Jul 29 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.7-1
- New upstream release 0.7.7
- new plugins
- removed Fedora 13 patches: upstreamed
* Sat May 25 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.6-2
- fixed DSO linking on Fedora 13
- Fixed crash on Fedora 13
- Added includes required for Fedora 13
* Thu May 20 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.6-1
- Update to version 0.7.6
* Thu May 20 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.5-2
- Minor edits to specfile to correct layout
* Mon Apr 19 2010 Louis Lagendijk <louis.lagendijk@gmail.com> 0.7.5-1
- Initial version

